LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Closed Thread
  Search this Thread
Old 07-11-2009, 01:37 AM   #1
gileravxr
LQ Newbie
 
Registered: Jul 2009
Posts: 12

Rep: Reputation: 0
Smile Unable to run GCC


Hi,

I am using RHEL 4. Currently, I try to run #gcc however the is not available. I run up2date -i gcc and i received the following message:

=============================================================
Fetching Obsoletes list for channel: rhel-i386-as-4...

Fetching rpm headers...

Name Version Rel Arch
----------------------------------------------------------------------------------------
gcc 3.4.6 11 i386


Testing package set / solving RPM inter-dependencies...
gcc-3.4.6-11.i386.rpm: Retrieved.
glibc-devel-2.3.4-2.43.i386 Retrieved.
glibc-headers-2.3.4-2.43.i3 Retrieved.
glibc-kernheaders-2.4-9.1.1 Retrieved.
Trying to Resolve Dependencies
An error has occurred:
exceptions.TypeError
See /var/log/up2date for more information

=============================================================

Then run #cat /var/log/up2date


==============================================================

[Sat Jul 11 12:47:19 2009] up2date updating login info
[Sat Jul 11 12:47:19 2009] up2date logging into up2date server
[Sat Jul 11 12:47:21 2009] up2date successfully retrieved authentication token from up2date server
[Sat Jul 11 12:47:21 2009] up2date availablePackageList from network
[Sat Jul 11 12:48:14 2009] up2date solving dep for: ['glibc-devel']
[Sat Jul 11 12:48:19 2009] up2date solving dep for: ['glibc-headers', 'glibc-headers']
[Sat Jul 11 12:48:25 2009] up2date solving dep for: ['kernel-headers', 'kernel-headers']
[Sat Jul 11 12:48:33 2009] up2date installing packages: ['gcc-3.4.6-11', 'glibc-devel-2.3.4-2.43', 'glibc-headers-2.3.4-2.43', 'glibc-kernheaders-2.4-9.1.103.EL']
[Sat Jul 11 12:48:41 2009] up2date allAvailablePackageList from network
[Sat Jul 11 12:49:28 2009] up2date File "/usr/sbin/up2date", line 1315, in ?
sys.exit(main() or 0)
File "/usr/sbin/up2date", line 816, in main
fullUpdate, dryRun=options.dry_run))
File "/usr/sbin/up2date", line 1163, in batchRun
batch.run()
File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 99, in run
self.__installPackages()
File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 258, in __installPackages
self.kernelsToInstall = up2date.installPackages(self.packagesToInstall, self.rpmCallback)
File "/usr/share/rhn/up2date_client/up2date.py", line 867, in installPackages
runTransaction(ts, added, removed,rpmCallback, rollbacktrans = rollbacktrans)
File "/usr/share/rhn/up2date_client/up2date.py", line 728, in runTransaction
(ts, deps, added) = solve_deps(ts, deps, added)
File "/usr/share/rhn/up2date_client/up2date.py", line 673, in solve_deps
if pkg[:4] not in final_pkg_set:

[Sat Jul 11 12:53:34 2009] up2date updating login info
[Sat Jul 11 12:53:34 2009] up2date logging into up2date server
[Sat Jul 11 12:53:39 2009] up2date successfully retrieved authentication token from up2date server
[Sat Jul 11 12:53:39 2009] up2date availablePackageList from network
[Sat Jul 11 12:54:09 2009] up2date solving dep for: ['glibc-devel']
[Sat Jul 11 12:54:24 2009] up2date solving dep for: ['glibc-headers', 'glibc-headers']
[Sat Jul 11 12:54:30 2009] up2date solving dep for: ['kernel-headers', 'kernel-headers']
[Sat Jul 11 12:54:38 2009] up2date installing packages: ['gcc-3.4.6-11', 'glibc-devel-2.3.4-2.43', 'glibc-headers-2.3.4-2.43', 'glibc-kernheaders-2.4-9.1.103.EL']
[Sat Jul 11 12:54:45 2009] up2date allAvailablePackageList from network
[Sat Jul 11 12:55:05 2009] up2date File "/usr/sbin/up2date", line 1315, in ?
sys.exit(main() or 0)
File "/usr/sbin/up2date", line 816, in main
fullUpdate, dryRun=options.dry_run))
File "/usr/sbin/up2date", line 1163, in batchRun
batch.run()
File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 99, in run
self.__installPackages()
File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 258, in __installPackages
self.kernelsToInstall = up2date.installPackages(self.packagesToInstall, self.rpmCallback)
File "/usr/share/rhn/up2date_client/up2date.py", line 867, in installPackages
runTransaction(ts, added, removed,rpmCallback, rollbacktrans = rollbacktrans)
File "/usr/share/rhn/up2date_client/up2date.py", line 728, in runTransaction
(ts, deps, added) = solve_deps(ts, deps, added)
File "/usr/share/rhn/up2date_client/up2date.py", line 673, in solve_deps
if pkg[:4] not in final_pkg_set:


==============================================================

Kindly assist, thanks.
 
Old 07-11-2009, 02:41 AM   #2
kirukan
Senior Member
 
Registered: Jun 2008
Location: Eelam
Distribution: Redhat, Solaris, Suse
Posts: 1,272

Rep: Reputation: 148Reputation: 148
collect all gcc related rpms(i mean all gcc dependencies) from RHEL4 sources(DVD or ISO) and place it in one directory and then rpm -ivh *.rpm or rpm -Uvh *.rpm
is that not easy task to install or upgrade gcc??
 
Old 07-11-2009, 03:10 AM   #3
acid_kewpie
Moderator
 
Registered: Jun 2001
Location: UK
Distribution: Gentoo, RHEL, Fedora, Centos
Posts: 43,417

Rep: Reputation: 1974Reputation: 1974Reputation: 1974Reputation: 1974Reputation: 1974Reputation: 1974Reputation: 1974Reputation: 1974Reputation: 1974Reputation: 1974Reputation: 1974
Please post your thread in only one forum. Posting a single thread in the most relevant forum will make it easier for members to help you and will keep the discussion in one place. This thread is being closed because it is a duplicate.
 
  


Closed Thread


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Unable to install GCC ???????? steelwire Linux - Newbie 10 04-24-2009 02:40 AM
unable to find gcc mohtasham1983 Linux - Newbie 8 10-17-2006 01:24 PM
gcc does not run nor g++ thematrimix Debian 3 10-02-2005 11:06 PM
unable to install gcc-2.96 vijaysh Debian 5 01-02-2005 08:41 AM
Volume control is unable to run correctly. Unable to open audio device '/dev/mixer'. sevenreams Slackware 1 05-16-2003 08:29 PM


All times are GMT -5. The time now is 03:10 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration